class GameOver {
  PFont comic;
  boolean goToMenu = false;
  boolean retry = false;
  SettingsJSON settings;
  int t1;
  int t2;
  int alpha1 = 127;
  int alpha2 = 127;

  void gameOverScreen(int score) {
    //Titre de la fenêtre
    surface.setTitle("T nul");
    // On réinitialise les variables sinon y'a des problèmes pour les menus
    goToMenu = false;
    retry = false;
    // On charge las params
    settings = new SettingsJSON();
    if (settings.darkMode) {
      background(38, 38, 38);
      fill(255);
    } else {
      background(255);
      fill(0);
    }

    textAlign(CENTER);
    textSize(width/18);
    text("Vous avez perdu. Votre score est de " + str(score), width/2, height/4);

    if (settings.darkMode) {
      fill(255, 255, 255, alpha1);
    } else {
      fill(0, 0, 0, alpha1);
    }
    textAlign(LEFT);
    text("Réessayer", 20, height/2);
    if (settings.darkMode) {
      fill(255, 255, 255, alpha2);
    } else {
      fill(0, 0, 0, alpha2);
    }
    text("Retour au menu", 30, height-height/4);

    t2 = millis();

    if (mouseX > 20 && mouseX < 10+textWidth("Réessayer") && !(mouseY < height/2 - (textAscent() + textDescent())/2) && !(mouseY > height/2 + (textAscent() + textDescent())/4)) {
      alpha2-=5;
      alpha1+=5;
      if (mousePressed && t1 + 1000 < t2) {
        retry=true;
      }
    } else if (mouseX > 30 && mouseX < 30+textWidth("Retour au menu") && !(mouseY < height-height/4 - (textAscent() + textDescent())/2) && !(mouseY > height-height/4 + (textAscent() + textDescent())/4)) {
      alpha1-=5;
      alpha2+=5;
      if (mousePressed && t1 + 1000 < t2) {
        goToMenu = true;
      }
    } else {
      alpha1-=5;
      alpha2-=5;
    }
    if (alpha1 < 127) {
      alpha1=127;
    } else if (alpha1 > 255) {
      alpha1=255;
    }
    if (alpha2 < 127) {
      alpha2=127;
    } else if (alpha2 > 255) {
      alpha2=255;
    }
  }
}
