class SettingsMenu {
  boolean needToGoInMenu = false;
  String[] setArray = new String[2];
  int y = 100;
  int R = 255;
  int G = 0;
  int B = 0;
  SettingsJSON settings;

  void draw() {
    // Meme schémas que pour les autres menu
    y=height/8;
    settings = new SettingsJSON();
    surface.setTitle("Paramètres");
    if (settings.darkMode) {
      background(38, 38, 38);
    } else {
      background(255);
    }
    needToGoInMenu = false;
    for (int i = 0; i < setArray.length; i++) {
      if (settings.darkMode) {
        if (settings.listeParametres.get(i) == 1) {
          fill(0, 255, 0);
        } else {
          fill(150);
        }
        stroke(255);
      } else {
        if (settings.listeParametres.get(i) == 1) {
          fill(0, 255, 0);
        } else {
          fill(150);
        }
        stroke(0);
      }
      rect(width/8, y, width/16, height/16);
      if (settings.darkMode) {
        fill(255);
        stroke(255);
      } else {
        fill(0);
        stroke(0);
      }
      textSize(width/15);
      text(setArray[i], width/4, y+20);
      y+=height/8;
    }

    // Carrée de selection
    noFill();
    rectMode(CENTER);
    stroke(255, 0, 0);
    strokeWeight(5);

    for (int i = 0; i < setArray.length; i++) {
      if (mouseY > ((i+1)*(height/8))-height/32 && mouseY < ((i+1)*height/8) + height/32 && mouseX > width/8 - height/32 && mouseX <  width/8 + height/32) {
        rect(width/8, (i+1)* height/8, width/16+1, height/16+1);
      }
    }

    if (settings.darkMode && mouseX < width-10 && mouseX >width-50 && mouseY > 10 && mouseY < 50) {
      R=255;
      B=B+5;
      G=G+5;
    } else if (settings.darkMode) {
      R=255;
      B=B-5;
      G=G-5;
    } else if (mouseX < width-10 && mouseX >width-50 && mouseY > 10 && mouseY < 50 && !settings.darkMode) {
      B=0;
      G=0;
      R=R-5;
    } else if (!settings.darkMode) {
      B=0;
      G=0;
      R=R+5;
    }

    if (G > 255) {
      G = 255;
    } else if (G < 0) {
      G = 0;
    }
    if (B <0) {
      B = 0;
    } else if (B > 255) {
      B = 255;
    }
    if (R > 255) {
      R = 255;
    } else if (R < 0) {
      R = 0;
    }


    stroke(R, G, B);
    fill(R, G, B);
    line(width-50, 10, width-10, 50);
    line(width-50, 50, width-10, 10);
    if (mousePressed && mouseX < width-10 && mouseX >width-50 && mouseY > 10 && mouseY < 50) {
      needToGoInMenu=true;
    }
  }
}
